TlsTestConfig (Bouncy Castle Library 1.52 API Specification)

org.bouncycastle.crypto.tls.test

## Class TlsTestConfig

- java.lang.Object
- - org.bouncycastle.crypto.tls.test.TlsTestConfig

-     public class TlsTestConfig
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CLIENT_AUTH_INVALID_CERT` Client will authenticate if it receives a certificate request, with an invalid certificate
    `static int` | `CLIENT_AUTH_INVALID_VERIFY` Client will authenticate if it receives a certificate request, with an invalid CertificateVerify signature
    `static int` | `CLIENT_AUTH_NONE` Client does not authenticate, ignores any certificate request
    `static int` | `CLIENT_AUTH_VALID` Client will authenticate if it receives a certificate request
    `int` | `clientAuth` Configures the client authentication behaviour of the test client.
    `boolean` | `clientFallback` Configures whether the client will indicate version fallback via TLS_FALLBACK_SCSV.
    `ProtocolVersion` | `clientMinimumVersion` Configures the minimum protocol version the client will accept.
    `ProtocolVersion` | `clientOfferVersion` Configures the protocol version the client will offer.
    `static boolean` | `DEBUG`
    `int` | `expectFatalAlertConnectionEnd` Configures the connection end that a fatal alert is expected to be raised.
    `short` | `expectFatalAlertDescription` Configures the type of fatal alert expected to be raised.
    `static int` | `SERVER_CERT_REQ_MANDATORY` Server will request a client certificate and receiving one is mandatory
    `static int` | `SERVER_CERT_REQ_NONE` Server will not request a client certificate
    `static int` | `SERVER_CERT_REQ_OPTIONAL` Server will request a client certificate but receiving one is optional
    `int` | `serverCertReq` Configures whether the test server will send a certificate request.
    `ProtocolVersion` | `serverMaximumVersion` Configures the maximum protocol version the server will accept.
    `ProtocolVersion` | `serverMinimumVersion` Configures the minimum protocol version the server will accept.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TlsTestConfig()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `expectClientFatalAlert(short alertDescription)`
    `void` | `expectServerFatalAlert(short alertDescription)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEBUG

          public static final boolean DEBUG

      See Also:
        Constant Field Values

    - #### CLIENT_AUTH_NONE

          public static final int CLIENT_AUTH_NONE

      Client does not authenticate, ignores any certificate request
      See Also:
        Constant Field Values

    - #### CLIENT_AUTH_VALID

          public static final int CLIENT_AUTH_VALID

      Client will authenticate if it receives a certificate request
      See Also:
        Constant Field Values

    - #### CLIENT_AUTH_INVALID_CERT

          public static final int CLIENT_AUTH_INVALID_CERT

      Client will authenticate if it receives a certificate request, with an invalid certificate
      See Also:
        Constant Field Values

    - #### CLIENT_AUTH_INVALID_VERIFY

          public static final int CLIENT_AUTH_INVALID_VERIFY

      Client will authenticate if it receives a certificate request, with an invalid CertificateVerify signature
      See Also:
        Constant Field Values

    - #### SERVER_CERT_REQ_NONE

          public static final int SERVER_CERT_REQ_NONE

      Server will not request a client certificate
      See Also:
        Constant Field Values

    - #### SERVER_CERT_REQ_OPTIONAL

          public static final int SERVER_CERT_REQ_OPTIONAL

      Server will request a client certificate but receiving one is optional
      See Also:
        Constant Field Values

    - #### SERVER_CERT_REQ_MANDATORY

          public static final int SERVER_CERT_REQ_MANDATORY

      Server will request a client certificate and receiving one is mandatory
      See Also:
        Constant Field Values

    - #### clientAuth

          public int clientAuth

      Configures the client authentication behaviour of the test client. Use CLIENT_AUTH_* constants.

    - #### clientMinimumVersion

          public ProtocolVersion clientMinimumVersion

      Configures the minimum protocol version the client will accept. If null, uses the library's default.

    - #### clientOfferVersion

          public ProtocolVersion clientOfferVersion

      Configures the protocol version the client will offer. If null, uses the library's default.

    - #### clientFallback

          public boolean clientFallback

      Configures whether the client will indicate version fallback via TLS_FALLBACK_SCSV.

    - #### serverCertReq

          public int serverCertReq

      Configures whether the test server will send a certificate request.

    - #### serverMaximumVersion

          public ProtocolVersion serverMaximumVersion

      Configures the maximum protocol version the server will accept. If null, uses the library's default.

    - #### serverMinimumVersion

          public ProtocolVersion serverMinimumVersion

      Configures the minimum protocol version the server will accept. If null, uses the library's default.

    - #### expectFatalAlertConnectionEnd

          public int expectFatalAlertConnectionEnd

      Configures the connection end that a fatal alert is expected to be raised. Use ConnectionEnd.* constants.

    - #### expectFatalAlertDescription

          public short expectFatalAlertDescription

      Configures the type of fatal alert expected to be raised. Use AlertDescription.* constants.

  - ### Constructor Detail

    - #### TlsTestConfig

          public TlsTestConfig()

  - ### Method Detail

    - #### expectClientFatalAlert

          public void expectClientFatalAlert(short alertDescription)

    - #### expectServerFatalAlert

          public void expectServerFatalAlert(short alertDescription)